| string.h | Header File

Header File Index

ANSI-compatible string manipulation routines

Functions

_memset
  Sets num bytes of buffer to byte c.
cmpstri
  Performs case-insensitive string comparison.
memchr
  Searches the first len bytes of array str for character c.
memcmp
  Compares two blocks of signed chars.
memcpy
  Copies a block of len bytes from src to dest.
memmove
  Copies a block of len bytes from src to dest, with possibility of overlaping of source and destination block.
memset
  Sets num bytes of buffer to byte c.
memucmp
  Compares two blocks of unsigned chars.
sprintf
  Sends formatted output to a string.
strcat
  Appends src to dest.
strchr
  Finds c in str.
strcmp
  Compares one string to another.
strcpy
  Copies string src to dest.
strcspn
  Scans a string.
strerror
  Gives an error message string.
stricmp
  Performs case-insensitive string comparison.
strlen
  Calculates length of a string.
strncat
  Appends at most maxlen characters of src to dest.
strncmp
  Compares at most maxlen characters of one string to another.
strncpy
  Copies at most maxlen characters of src to dest.
strpbrk
  Scans one string for the first occurrence of any character that's in a second string.
strrchr
  Finds the last occurrence of c in str.
strspn
  Scans a string for a segment that is a subset of a set of characters.
strstr
  Finds the first occurrence of a substring in another string.
strtok
  Scans s1 for the first token not contained in s2.

Constants

NULL
  A null-pointer value.

Predefined Types

size_t
  A type to define sizes of strings and memory blocks.